## EO4NOWCAST AI ASSETS

In this folder you may find the following files:

- a jupyter notebook called `E4NWC_01_create_dataset_streaming`, that carries out the data fusion and the pre-processing operations of all raw data involved, i.e. the acquired NDMI over the Area of Interest and the rainfall maps measured hourly from 2016 to 2022; as output it creates a labelled dataset with 
    1. as input a 2-channel image containing NDMI acquired at epoch t0 and the cumulative rainfall computed between the NDMI at t0 and the consecutive one, acquired at t1 
    2. as output a 1-channel image that represents the NDMI acquired at epoch t1

    This data are stored on HuggingFace (the checkpoint is written in the notebook)        

- a jupyter notebook `E4NWC_02_UNET_TF_NDMI_PLUVIO_training` that uses the input data created above, defines the U-Net architecture and train the corresponding model; this model is eventually stored on HuggingFace as Python h5 file 

- a jupyter notebook called `E4NWC_03_create_predictions-single-date` that performs the prediction of NDMI given a specific date as input; if no input data of NDMI or cumulated rainfall is found an exception is thrown

- a jupyter notebook `E4NWC_04_create_predictions_all_cumulated_dates` that computes the predictions of NDMI for the year 2021 and stores the results as GeoTiff images on HuggingFace  

